;;;; ripemd128-primitive.scm  -*- Scheme -*-
;;;; Kon Lovett, Sep '21

(module ripemd128-primitive

(;export
  ripemd128-primitive)

(import scheme
  (chicken base)
  message-digest-primitive
  ripemd128-api)

(define ripemd128-primitive
  (let ((the-ripemd128-primitive #f))
    (lambda ()
      (unless the-ripemd128-primitive
        (set! the-ripemd128-primitive (make-message-digest-primitive
          context-size digest-length init update final
          #:block-length block-length #:raw-update raw-update #:name name)) )
      the-ripemd128-primitive ) ) )

) ;ripemd128-primitive
