;;;; ripemd160-primitive.scm  -*- Scheme -*-
;;;; Kon Lovett, Sep '21

(module ripemd160-primitive

(;export
  ripemd160-primitive)

(import scheme
  (chicken base)
  message-digest-primitive
  ripemd160-api)

(define ripemd160-primitive
  (let ((the-ripemd160-primitive #f))
    (lambda ()
      (unless the-ripemd160-primitive
        (set! the-ripemd160-primitive (make-message-digest-primitive
          context-size digest-length init update final
          #:block-length block-length #:raw-update raw-update #:name name)) )
      the-ripemd160-primitive ) ) )

) ;ripemd160-primitive
